Bug 58094 - internal compiler error
Summary: internal compiler error
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-08 14:15 UTC by Richard Hebert
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 19:05:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Hebert 2002-01-08 14:15:17 UTC
Description of Problem:
internal compiler error

Version-Release number of selected 
component (if applicable):
gcc 3

How Reproducible:
compiling SIAG  an office  suite 

Steps to 
Reproduce:
1. get SIAG 
2. ./configure  ( should go ok ) 
3.  make

Actual Results:
gcc -
DHAVE_CONFIG_H -I. -I. -I..   -I/usr/X11R6/include -DXAWHDRS=X11/XawM    -Wall -g -O2 -c `test -f 
Table.c || echo './'`Table.c
Table.c: In function `toggle_cursor':
Table.c:907: Internal compiler 
error in subst_stack_regs_pat, at reg-stack.c:1621
Please submit a full bug report,
with 
preprocessed source if appropriate.

Expected Results:
should mave  made

Additional 
Information:
for additional info just email me.

Comment 1 Jakub Jelinek 2002-01-15 14:31:16 UTC
If you're using gcc command, is this really gcc 3.0? In RHL 7.2 `gcc' command
is 2.96-RH and `gcc3' is gcc 3.0.x.

Comment 2 Richard Hebert 2002-01-15 14:50:15 UTC
totally  forgot to give you important details.
gcc-3.1-0.17   ( the only one left on the machine ) 
glibc-
2.2.90-3
kernel-2.4.7-10
kernel-2.4.9-13
kernel-2.4.17-0.1
does this whatever kernel i use.
the 
important packs are all from Rawhide .
Note : it  compiles many diff programs ..just  not this one.

Comment 3 Jakub Jelinek 2002-01-15 14:55:09 UTC
This changes situation.
Can you please attach here preprocessed source (Table.i; just add -save-temps
to gcc command line)? Thanks.

Comment 4 Alan Cox 2002-12-15 19:05:05 UTC
Never replied



Note You need to log in before you can comment on or make changes to this bug.